# rpmBuildArguments_s Struct Reference
[RPMCLI.]

`#include <rpmcli.h>`

## Data Fields

int | buildAmount
const char * | buildRootOverride
char * | targets
int | force
int | noBuild
int | noDeps
int | noLang
int | shortCircuit
int | sign
int | useCatalog
char | buildMode
char | buildChar
const char * | rootdir

## Detailed Description

Describe build command line request.

Definition at line 31 of file rpmcli.h.

## Field Documentation

int rpmBuildArguments_s::buildAmount

| Bit(s) to control operation. Definition at line 32 of file rpmcli.h. Referenced by build(), buildArgCallback(), buildForTarget(), and main().

char rpmBuildArguments_s::buildChar

| Build stage (one of "abcilps ") Definition at line 45 of file rpmcli.h. Referenced by buildArgCallback(), and main().

char rpmBuildArguments_s::buildMode

| Build mode (one of "btBC") Definition at line 44 of file rpmcli.h. Referenced by buildArgCallback(), buildForTarget(), and main().

const char* rpmBuildArguments_s::buildRootOverride

| from --buildroot Definition at line 34 of file rpmcli.h. Referenced by buildArgCallback(), buildForTarget(), and main().

int rpmBuildArguments_s::force

| from --force Definition at line 37 of file rpmcli.h. Referenced by buildArgCallback(), buildForTarget(), and main().

int rpmBuildArguments_s::noBuild

| from --nobuild Definition at line 38 of file rpmcli.h. Referenced by buildArgCallback(), and buildForTarget().

int rpmBuildArguments_s::noDeps

| from --nodeps Definition at line 39 of file rpmcli.h. Referenced by buildArgCallback(), buildForTarget(), and main().

int rpmBuildArguments_s::noLang

| from --nolang Definition at line 40 of file rpmcli.h. Referenced by buildArgCallback().

const char* rpmBuildArguments_s::rootdir

| Definition at line 47 of file rpmcli.h. Referenced by buildForTarget(), and main().

int rpmBuildArguments_s::shortCircuit

| from --short-circuit Definition at line 41 of file rpmcli.h. Referenced by buildArgCallback(), and main().

int rpmBuildArguments_s::sign

| from --sign Definition at line 42 of file rpmcli.h. Referenced by buildArgCallback(), and main().

char* rpmBuildArguments_s::targets

| Target platform(s), comma separated. Definition at line 36 of file rpmcli.h. Referenced by build(), buildArgCallback(), and main().

int rpmBuildArguments_s::useCatalog

| from --usecatalog Definition at line 43 of file rpmcli.h. Referenced by buildArgCallback().

The documentation for this struct was generated from the following file:

- lib/rpmcli.h